Subject: [Tsvwg] e2e bandwisth estimation-ns modules for Westwood+ TCP

From: "Saverio Mascolo" <[email-masked]>
Date: Mon, 2 Jun 2003 15:27:29 +0200

Hi all,
 
we have made available our implementation of TCP westwood+ in ns-2 for testing at
 
http://www-ictserv.poliba.it/mascolo/tcp%20westwood/modules.htm
 
To summarize, TCP Westwood+ proposes an e2e bandwdith estimation to adaptively
set the congestion window after a congestion episode, thus  avoiding the
 "blind"  by half window  reduction of standard AIMD algorithms.
 
S. Mascolo and L. Grieco